#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'searchpaths.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchpaths.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlistbox.h>
#include <ntqlineedit.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SearchPaths as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SearchPaths::SearchPaths( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SearchPaths" );
    SearchPathsLayout = new TQVBoxLayout( this, 11, 6, "SearchPathsLayout"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );
    SearchPathsLayout->addWidget( textLabel1 );

    pathList = new TQListBox( this, "pathList" );
    SearchPathsLayout->addWidget( pathList );

    layout31 = new TQHBoxLayout( 0, 0, 6, "layout31"); 

    pathBox = new TQLineEdit( this, "pathBox" );
    layout31->addWidget( pathBox );

    addButton = new TQPushButton( this, "addButton" );
    addButton->setEnabled( FALSE );
    addButton->setDefault( TRUE );
    layout31->addWidget( addButton );

    removeButton = new TQPushButton( this, "removeButton" );
    removeButton->setEnabled( FALSE );
    layout31->addWidget( removeButton );
    SearchPathsLayout->addLayout( layout31 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );
    SearchPathsLayout->addWidget( line1 );

    layout33 = new TQHBoxLayout( 0, 0, 6, "layout33"); 
    spacer26 = new TQSpacerItem( 51, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout33->addItem( spacer26 );

    okButton = new TQPushButton( this, "okButton" );
    layout33->addWidget( okButton );

    cancelButton = new TQPushButton( this, "cancelButton" );
    layout33->addWidget( cancelButton );
    SearchPathsLayout->addLayout( layout33 );
    languageChange();
    resize( TQSize(447, 312).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( cancelButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchPaths::~SearchPaths()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchPaths::languageChange()
{
    setCaption( tr2i18n( "Change search paths" ) );
    textLabel1->setText( tr2i18n( "The control center module could not find the GTK2-TQt theme engine in its list of search paths.  If you have installed it elsewhere, you will need to add the correct path to the list below." ) );
    addButton->setText( tr2i18n( "Add" ) );
    removeButton->setText( tr2i18n( "Remove" ) );
    okButton->setText( tr2i18n( "Ok" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
}

/****************************************************************************
** SearchPaths meta object code from reading C++ file 'searchpaths.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "searchpaths.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SearchPaths::className() const
{
    return "SearchPaths";
}

TQMetaObject *SearchPaths::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SearchPaths( "SearchPaths", &SearchPaths::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SearchPaths::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchPaths", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SearchPaths::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchPaths", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SearchPaths::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SearchPaths", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SearchPaths.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SearchPaths::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SearchPaths" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool SearchPaths::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SearchPaths::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SearchPaths::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool SearchPaths::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
