#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'emacsdetails.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "emacsdetails.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>


/*
 *  Constructs a EmacsDetails as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
EmacsDetails::EmacsDetails( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "EmacsDetails" );
    EmacsDetailsLayout = new TQVBoxLayout( this, 11, 6, "EmacsDetailsLayout"); 

    textLabel2 = new TQLabel( this, "textLabel2" );
    EmacsDetailsLayout->addWidget( textLabel2 );

    list = new TQListView( this, "list" );
    list->addColumn( tr2i18n( "Shortcut" ) );
    list->header()->setClickEnabled( FALSE, list->header()->count() - 1 );
    list->header()->setResizeEnabled( FALSE, list->header()->count() - 1 );
    list->addColumn( tr2i18n( "Description" ) );
    list->header()->setClickEnabled( FALSE, list->header()->count() - 1 );
    list->header()->setResizeEnabled( FALSE, list->header()->count() - 1 );
    list->setAllColumnsShowFocus( TRUE );
    EmacsDetailsLayout->addWidget( list );

    layout13 = new TQHBoxLayout( 0, 0, 6, "layout13"); 
    spacer12 = new TQSpacerItem( 101, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout13->addItem( spacer12 );

    pushButton4 = new TQPushButton( this, "pushButton4" );
    layout13->addWidget( pushButton4 );
    EmacsDetailsLayout->addLayout( layout13 );
    languageChange();
    resize( TQSize(489, 296).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton4, TQ_SIGNAL( clicked() ), this, TQ_SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EmacsDetails::~EmacsDetails()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EmacsDetails::languageChange()
{
    setCaption( tr2i18n( "Emacs Keyboard Shortcuts" ) );
    textLabel2->setText( tr2i18n( "These keyboard shortcuts are useful for Emacs users.\n"
"When enabled, they will override the standard keyboard shortcuts in GTK applications." ) );
    list->header()->setLabel( 0, tr2i18n( "Shortcut" ) );
    list->header()->setLabel( 1, tr2i18n( "Description" ) );
    list->clear();
    TQListViewItem * item = new TQListViewItem( list, 0 );
    item->setText( 0, tr2i18n( "Ctrl+A" ) );
    item->setText( 1, tr2i18n( "Go to beginning of line" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+E" ) );
    item->setText( 1, tr2i18n( "Go to end of line" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+F" ) );
    item->setText( 1, tr2i18n( "Go right one character" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+B" ) );
    item->setText( 1, tr2i18n( "Go left one character" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+K" ) );
    item->setText( 1, tr2i18n( "Delete to end of line" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+U" ) );
    item->setText( 1, tr2i18n( "Delete entire line" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+W" ) );
    item->setText( 1, tr2i18n( "Delete word, left" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+H" ) );
    item->setText( 1, tr2i18n( "Delete character, left" ) );

    item = new TQListViewItem( list, item );
    item->setText( 0, tr2i18n( "Ctrl+D" ) );
    item->setText( 1, tr2i18n( "Delete character, right" ) );

    pushButton4->setText( tr2i18n( "C&lose" ) );
}

/****************************************************************************
** EmacsDetails meta object code from reading C++ file 'emacsdetails.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "emacsdetails.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *EmacsDetails::className() const
{
    return "EmacsDetails";
}

TQMetaObject *EmacsDetails::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_EmacsDetails( "EmacsDetails", &EmacsDetails::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString EmacsDetails::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EmacsDetails", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString EmacsDetails::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EmacsDetails", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* EmacsDetails::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"EmacsDetails", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_EmacsDetails.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* EmacsDetails::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EmacsDetails" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool EmacsDetails::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool EmacsDetails::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool EmacsDetails::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool EmacsDetails::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
